package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 45.查询nft购买支付结果 GET请求方式
 * @class: NftBuyPayResultReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:55
 */
@Data
public class Nft045BuyPayResultReq implements Serializable {
    /**
     * 平台公钥
     */
    private String platformPubKey;
    /**
     * 查询任务Id
     */
    private String taskId;
    private static final Nft045BuyPayResultReq obj = new Nft045BuyPayResultReq();
    private static final long serialVersionUID = 36460597155914979L;

    public static Nft045BuyPayResultReq getNew() {
        try {
            return (Nft045BuyPayResultReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft045BuyPayResultReq();
        }
    }
}
